View Issue Details

IDProjectCategoryView StatusLast Update
12709Bug reports[All Projects] Survey designpublic2018-05-25 11:30
Reporterdrodero Assigned Tomarkusfluer  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version2.70.x 
Target VersionFixed in Version3.7.x 
Summary12709: Can not create or edit a survey
Description

When I try to create a new survey or going into a created survey within the administration, I recive an error. I've just updated to 170925

Steps To Reproduce

Create a new survey or try to go to a existing survey in the administration panel.

TagsNo tags attached.
Complete LimeSurvey version number (& build) 2.71.0+170925
I will donate to the project if issue is resolvedYes
Browser
Database & DB-VersionMySQL 14.14 Distrib 5.7.16
Server OS (if known)Ubuntu 16.04
Webserver software & version (if known)Apache 2.24
PHP Version7.0.23-1+ubuntu16.04.1+deb.sury.org+1

Activities

drodero

drodero

2017-09-26 11:42

reporter  

Captura de pantalla 2017-09-26 a las 11.42.20.png (221,280 bytes)
drodero

drodero

2017-09-26 11:48

reporter   ~44471

I've commented this block on file

application/models/TemplateConfiguration.php, line 197:

if (getLanguageRTL($this->oSurvey->language))
{
$oCssFiles = $this->config->files->rtl->css->filename; // In RTL mode, original CSS files should not be loaded, else padding-left could be added to padding-right.)
$oJsFiles = $this->config->files->rtl->js->filename; // In RTL mode,
}

And the error has disappear. But I think this is a bug that should be fixed.

versadial

versadial

2017-09-26 18:46

reporter   ~44478

Commenting out the same section resolved my issue, slightly different than yours, but that block of code appears to be the problem.

Notice: Trying to get property of non-object in /home/application/models/TemplateConfiguration.php on line 197
PHP warning

Cannot modify header information - headers already sent by (output started at /home/application/models/TemplateConfiguration.php:197)

markusfluer

markusfluer

2018-04-27 12:52

administrator   ~47552

This issue should be resolved in the current version, please update.

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47836

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2017-09-26 11:42 drodero New Issue
2017-09-26 11:42 drodero File Added: Captura de pantalla 2017-09-26 a las 11.42.20.png
2017-09-26 11:48 drodero Note Added: 44471
2017-09-26 18:46 versadial Note Added: 44478
2018-04-27 12:52 markusfluer Assigned To => markusfluer
2018-04-27 12:52 markusfluer Status new => resolved
2018-04-27 12:52 markusfluer Resolution open => fixed
2018-04-27 12:52 markusfluer Fixed in Version => 3.7.x
2018-04-27 12:52 markusfluer Note Added: 47552
2018-05-25 11:30 c_schmitz Note Added: 47836
2018-05-25 11:30 c_schmitz Status resolved => closed